﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 61670 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()
	local ThreatLib = _G.ThreatLib
	local NOTH_ID = 15954
	local BLINK_ID = 1		-- Need an ID for Noth's blink

	ThreatLib:GetModule("NPCCore"):RegisterModule(15954, function(Noth)
		function Noth:Init()
			self:RegisterCombatant(15954, true)
			self.buffGain[BLINK_ID] = self.Wipe
		end

		function Noth:Wipe()
			self:WipeRaidThreatOnMob(NOTH_ID)
		end
	end)
end
